(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22413,        572]
NotebookOptionsPosition[     21350,        549]
NotebookOutlinePosition[     21758,        565]
CellTagsIndexPosition[     21715,        562]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Created by Fabian M\[UDoubleDot]ller and Marvin Zanke", "Author",
 CellChangeTimes->{{3.7820490324499903`*^9, 
  3.78204904505943*^9}},ExpressionUUID->"ae9e24b1-efd5-4ed3-8aa6-\
0da82d720f34"],

Cell[CellGroupData[{

Cell["Equipotential and Electrical Field Plots", "Title",
 CellChangeTimes->{
  3.782019299459394*^9, {3.7820489252596073`*^9, 3.782048940138393*^9}, {
   3.782049015227824*^9, 3.782049016416275*^9}, 
   3.782049120404579*^9},ExpressionUUID->"f7923288-f723-4738-8093-\
ec17a4e4a04f"],

Cell[TextData[{
 "For the electrical Dipole (that is two point charges \[ImplicitPlus]\
\[PlusMinus]Q at z=\[PlusMinus]",
 Cell[BoxData[
  FormBox[
   FractionBox["a", "2"], TraditionalForm]],ExpressionUUID->
  "0c588ab6-5991-4abe-b87a-eb7c226d2b69"],
 "), we found for a \[Rule] 0:\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[CapitalPhi]", "(", 
     OverscriptBox["r", "\[RightVector]"], ")"}], "=", 
    FractionBox[
     RowBox[{"p", " ", "z"}], 
     RowBox[{"4", 
      SubscriptBox["\[Pi]\[Epsilon]", "0"], 
      SuperscriptBox["r", "3"]}]]}], TraditionalForm]],ExpressionUUID->
  "03618c56-f00f-446f-ad21-7eb2f74d12b3"],
 ",\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["r", "\[RightVector]"], "=", 
    RowBox[{"(", 
     RowBox[{"x", ",", "y", ",", "z"}], ")"}]}], TraditionalForm]],
  ExpressionUUID->"db8e22ed-d039-4489-bf8f-71044a4f69fc"],
 " given in spherical coordinates, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "=", 
    RowBox[{"\[LeftBracketingBar]", 
     OverscriptBox["r", "\[RightVector]"], "\[RightBracketingBar]"}]}], 
   TraditionalForm]],ExpressionUUID->"0e97c67b-c4e0-4a2a-a955-c345a3d4b076"],
 ". We want to plot this and the electrical field given by\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     OverscriptBox["E", "\[RightVector]"], "(", 
     OverscriptBox["r", "\[RightVector]"], ")"}], "=", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"\[Del]", 
        RowBox[{"\[CapitalPhi]", "(", 
         OverscriptBox["r", "\[RightVector]"], ")"}]}], ")"}]}], "=", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{"4", 
         SubscriptBox["\[Pi]\[Epsilon]", "0"], 
         SuperscriptBox["r", "3"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", 
          RowBox[{"(", 
           RowBox[{
            OverscriptBox["p", "\[RightVector]"], "\[CenterDot]", 
            OverscriptBox[
             SubscriptBox["e", "r"], "\[RightVector]"]}], " ", ")"}], 
          OverscriptBox[
           SubscriptBox["e", "r"], "\[RightVector]"]}], "-", 
         OverscriptBox["p", "\[RightVector]"]}], ")"}]}], 
      OverscriptBox["=", 
       RowBox[{
        SubscriptBox["p", "x"], "=", 
        RowBox[{
         SubscriptBox["p", "y"], "=", "0"}]}]], 
      RowBox[{
       FractionBox["1", 
        RowBox[{"4", 
         SubscriptBox["\[Pi]\[Epsilon]", "0"], 
         SuperscriptBox["r", "3"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", 
          RowBox[{"(", 
           RowBox[{"Q", " ", "a", " ", "r", " ", 
            RowBox[{"Cos", "(", "\[Theta]", ")"}]}], ")"}], 
          OverscriptBox[
           SubscriptBox["e", "r"], "\[RightVector]"]}], "-", 
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"Q", " ", "a", " ", "r", " ", 
            RowBox[{"Cos", "(", "\[Theta]", ")"}]}]}], ")"}]}], ")"}]}]}]}]}],
    TraditionalForm]],ExpressionUUID->
  "9d07abbb-fd01-4c99-9d5a-2bb7ffc85baf"],
 ".\nFor simplicity, we choose ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"4", 
    SubscriptBox["\[Pi]\[Epsilon]", "0"]}], "=", "1"}]],
  CellChangeTimes->{{3.782031959579586*^9, 3.7820319759026737`*^9}, {
   3.7820320507337523`*^9, 3.7820320797332573`*^9}, {3.782032269907716*^9, 
   3.782032271677444*^9}, {3.782032957458255*^9, 3.7820329651480007`*^9}, {
   3.782033469043069*^9, 3.78203351143967*^9}, {3.78203386705821*^9, 
   3.782033882681744*^9}},ExpressionUUID->
  "760d54e2-e992-420a-a540-4ad0952c6f62"],
 " during the whole calculation and ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"Q", " ", "a"}], " ", "=", 
   RowBox[{"p", "=", 
    RowBox[{"(", 
     RowBox[{"0", ",", "0", ",", "1"}], ")"}]}]}]],
  CellChangeTimes->{{3.782031959579586*^9, 3.7820319759026737`*^9}, {
   3.7820320507337523`*^9, 3.7820320797332573`*^9}, {3.782032269907716*^9, 
   3.782032271677444*^9}, {3.782032957458255*^9, 3.7820329651480007`*^9}, {
   3.782033469043069*^9, 3.78203351143967*^9}, {3.78203386705821*^9, 
   3.782033882681744*^9}},ExpressionUUID->
  "b864a2dc-b5cb-4d85-97d5-b68fabfc2216"],
 "constant. That is for decreasing a, Q increases. The form of the result is \
unaffected by this, as it just scales the result by a constant."
}], "Text",
 CellChangeTimes->{{3.782019345653419*^9, 3.7820194067015457`*^9}, {
  3.7820194524664*^9, 3.782019729361929*^9}, {3.782031818359676*^9, 
  3.7820319001714373`*^9}, {3.782044214838443*^9, 3.782044351237417*^9}, {
  3.782045778879487*^9, 3.78204585043992*^9}, {3.7821211967362823`*^9, 
  3.782121287857109*^9}},ExpressionUUID->"78a6f98c-8e5c-4145-9c47-\
3ca1451170ae"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Spherical", " ", "Coordinates"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", 
      RowBox[{"r_", ",", "\[Theta]_", ",", "\[Phi]_"}], "]"}], ":=", 
     RowBox[{"r", " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"y", "[", 
      RowBox[{"r_", ",", "\[Theta]_", ",", "\[Phi]_"}], "]"}], ":=", 
     RowBox[{"r", " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"z", "[", 
      RowBox[{"r_", ",", "\[Theta]_", ",", "\[Phi]_"}], "]"}], ":=", 
     RowBox[{"r", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Inverse", " ", "Transform"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"], "+", 
       SuperscriptBox["z", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ArcCos", "[", 
      FractionBox["z", 
       RowBox[{"r", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"x", ",", "y"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Definition", " ", "of", " ", "our", " ", "scalar", " ", "product", " ", 
     "of", " ", "two", " ", "vectors"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SP", "[", 
      RowBox[{"r1_", ",", "r2_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"r1", "[", 
        RowBox[{"[", "1", "]"}], "]"}], 
       RowBox[{"r2", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"r1", "[", 
        RowBox[{"[", "2", "]"}], "]"}], 
       RowBox[{"r2", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"r1", "[", 
        RowBox[{"[", "3", "]"}], "]"}], 
       RowBox[{"r2", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Unit", " ", "vector", " ", "in", " ", "r"}], "-", 
      "direction"}], ",", " ", 
     RowBox[{"spherical", " ", "coordinates", " ", "and", " ", 
      RowBox[{"(", "C", ")"}], "artesian"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"e", "[", 
      RowBox[{"r_", ",", "\[Theta]_", ",", "\[Phi]_"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"eC", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"e", "[", 
      RowBox[{
       RowBox[{"r", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"\[Theta]", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"\[Phi]", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.782019209957951*^9, 3.782019235150948*^9}, {
   3.7820192664136763`*^9, 3.7820193324390497`*^9}, {3.78201978197409*^9, 
   3.78201992612711*^9}, {3.7820200516344852`*^9, 3.782020105395134*^9}, 
   3.782020187623814*^9, {3.7820205693081017`*^9, 3.782020649227697*^9}, {
   3.782020731883795*^9, 3.782020734279194*^9}, {3.782031016597528*^9, 
   3.782031037865633*^9}, {3.782031119150128*^9, 3.7820311894909067`*^9}, {
   3.78203129378436*^9, 3.7820315186079607`*^9}, {3.7820317400489817`*^9, 
   3.782031775905884*^9}, {3.7820319468329887`*^9, 3.782031947586823*^9}, {
   3.7820329582205667`*^9, 3.7820329638357077`*^9}, {3.782033218338667*^9, 
   3.782033222195017*^9}, {3.782045390649699*^9, 3.782045423329113*^9}, {
   3.782045466765442*^9, 3.78204551604872*^9}, {3.782045641271987*^9, 
   3.782045757389349*^9}, {3.7820468116891623`*^9, 3.7820468412130337`*^9}, {
   3.7820468919613457`*^9, 3.782046904919465*^9}, 3.7820469855848503`*^9, {
   3.782048803028627*^9, 3.782048803648713*^9}, {3.7820488973304033`*^9, 
   3.782048897960218*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"b663f0b0-7d4a-4bfb-bca5-1cbdcea89b5c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"The", " ", "electric", " ", "dipole", " ", "moment"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"p", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "electrical", " ", "field", " ", "with", " ", "4", 
      SubscriptBox["\[Pi]\[Epsilon]", "0"]}], "=", 
     RowBox[{"1", " ", "in", " ", "cartesian", " ", "coordinates"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"EFC", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"r", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], 
        FractionBox["3", "2"]]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", 
         RowBox[{"SP", "[", 
          RowBox[{"p", ",", 
           RowBox[{"eC", "[", 
            RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "]"}], 
         RowBox[{"eC", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "-", "p"}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"EFCx", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"SP", "[", 
      RowBox[{
       RowBox[{"EFC", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"EFCy", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"SP", "[", 
      RowBox[{
       RowBox[{"EFC", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"EFCz", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     RowBox[{"SP", "[", 
      RowBox[{
       RowBox[{"EFC", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"EFCx", "[", 
      RowBox[{"x", ",", "0", ",", "z"}], "]"}], ",", 
     RowBox[{"EFCy", "[", 
      RowBox[{"x", ",", "0", ",", "z"}], "]"}], ",", 
     RowBox[{"EFCz", "[", 
      RowBox[{"x", ",", "0", ",", "z"}], "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.782031959579586*^9, 3.7820319759026737`*^9}, {
   3.7820320507337523`*^9, 3.7820320797332573`*^9}, {3.782032269907716*^9, 
   3.782032271677444*^9}, {3.782032957458255*^9, 3.7820329651480007`*^9}, {
   3.782033469043069*^9, 3.78203351143967*^9}, {3.78203386705821*^9, 
   3.782033882681744*^9}, 3.7820458828955317`*^9, {3.7820459203867483`*^9, 
   3.7820459320143127`*^9}, {3.7820459840467987`*^9, 3.782046008531219*^9}, {
   3.782046043054064*^9, 3.782046117199006*^9}, {3.7820468656469107`*^9, 
   3.7820469613370457`*^9}, {3.782047204607998*^9, 3.782047238158781*^9}, {
   3.7820474194607477`*^9, 3.782047419749511*^9}, {3.782048875951146*^9, 
   3.782048882241699*^9}, {3.782049110891993*^9, 3.782049113541997*^9}, {
   3.782121327211285*^9, 
   3.782121337254653*^9}},ExpressionUUID->"8fa6f112-008c-4665-a60f-\
87fb991297cf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Three", " ", "dimensional", " ", "plot", " ", "of", " ", "the", " ", 
    "electrical", " ", 
    RowBox[{"(", "vector", ")"}], " ", "field"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"VectorPlot3D", "[", 
    RowBox[{
     RowBox[{"EFC", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"VectorPoints", "\[Rule]", "Fine"}], ",", 
     RowBox[{"VectorScale", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "0.2", ",", "None"}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Two", " ", "dimensional", " ", "plot", " ", "of", " ", "the", " ", 
      "electrical", " ", 
      RowBox[{"(", "vector", ")"}], " ", "field", " ", "for", " ", "y"}], " ",
      "=", " ", "0"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"StreamPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EFCx", "[", 
        RowBox[{"x", ",", "0", ",", "z"}], "]"}], ",", 
       RowBox[{"EFCz", "[", 
        RowBox[{"x", ",", "0", ",", "z"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.782046151557291*^9, 3.7820461527689543`*^9}, {
  3.7820462076021547`*^9, 3.782046230087907*^9}, {3.7820462664904633`*^9, 
  3.7820463355365953`*^9}, {3.7820463812470922`*^9, 3.782046397580647*^9}, {
  3.782046969394031*^9, 3.782046969538937*^9}, {3.782047072594314*^9, 
  3.782047131932076*^9}, {3.782047187517077*^9, 3.782047198157608*^9}, {
  3.782047252619059*^9, 3.782047267572052*^9}, {3.782047425518622*^9, 
  3.7820474371371927`*^9}, {3.7820488128585787`*^9, 3.7820488131388474`*^9}, {
  3.782048922219903*^9, 3.782048922739708*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"f71ee81b-46f3-498e-876e-d904a7e40f7d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"The", " ", "potential", " ", "with", " ", "4", 
      SubscriptBox["\[Pi]\[Epsilon]", "0"]}], "=", 
     RowBox[{
      RowBox[{"1", " ", "in", " ", "cartesian", " ", 
       RowBox[{"coordinates", " ", "--"}], " ", "\[Epsilon]", " ", "is", " ", 
       "to", " ", "exlude", " ", "a", " ", "small", " ", "region", " ", "in", 
       " ", "the", " ", "plots", " ", "at", " ", "r"}], "=", "0"}]}], ",", 
    " ", 
    RowBox[{
    "where", " ", "there", " ", "appears", " ", "to", " ", "be", " ", "a", 
     " ", "pole"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Note", " ", "that", " ", "we", " ", "added", " ", "a", " ", "small", " ",
      "\[Epsilon]", " ", "in", " ", "order", " ", "to", " ", "not", " ", 
     "consider", " ", "the", " ", "pole", " ", "at", " ", "r"}], "=", 
    RowBox[{
     RowBox[{
     "0", " ", "instead", " ", "of", " ", "using", " ", "something", " ", 
      RowBox[{"like", " ", "'"}], "Exclusions"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "\[Epsilon]"}], ",", "\[Epsilon]"}], "]"}], "'"}], " ", 
      "when", " ", "plotting"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Epsilon]", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalPhi]", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
     FractionBox["z", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], "+", "\[Epsilon]"}], 
        ")"}], 
       FractionBox["3", "2"]]]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.782047639674955*^9, 3.7820476433901653`*^9}, {
  3.7820476920370502`*^9, 3.782047712118342*^9}, {3.782047917464271*^9, 
  3.782047964616243*^9}, {3.7820481366140547`*^9, 3.782048136864655*^9}, {
  3.7820481677627707`*^9, 3.782048209271121*^9}, {3.782048301780472*^9, 
  3.7820483022519903`*^9}, {3.7820483951842337`*^9, 3.782048395307013*^9}, {
  3.782048724756268*^9, 3.782048724832923*^9}, {3.782049210413226*^9, 
  3.782049223861147*^9}, {3.782049293389639*^9, 3.78204929367664*^9}, {
  3.782049466222434*^9, 3.782049466394766*^9}, {3.782049514231695*^9, 
  3.782049550069994*^9}, {3.782049614878096*^9, 3.782049615690674*^9}, {
  3.782049686358431*^9, 3.782049742602717*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"77d5b568-45d2-4890-b479-c2f1edb2d757"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Three", " ", "dimensional", " ", "contour", " ", "plot", " ", "of", " ", 
    "the", " ", "potential"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ContourPlot3D", "[", 
    RowBox[{
     RowBox[{"\[CapitalPhi]", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Two", " ", "dimensional", " ", "Contour", " ", "plot", " ", "of", " ", 
     "the", " ", "potential"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{"\[CapitalPhi]", "[", 
      RowBox[{"x", ",", "0", ",", "z"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
     RowBox[{"Contours", "\[Rule]", "25"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7820477193067427`*^9, 3.782047740372303*^9}, {
  3.782047782339567*^9, 3.7820477844198523`*^9}, {3.782047822558796*^9, 
  3.782047839985798*^9}, {3.782048160832158*^9, 3.782048191593412*^9}, {
  3.7820482271891737`*^9, 3.782048235210107*^9}, {3.782048308560424*^9, 
  3.78204830869576*^9}, {3.7820483979279203`*^9, 3.7820484479007807`*^9}, {
  3.7820484912636337`*^9, 3.7820485215503273`*^9}, {3.782048649021096*^9, 
  3.7820486786780357`*^9}, {3.782048720762767*^9, 3.782048721121215*^9}, {
  3.7820491928722363`*^9, 3.7820491934684353`*^9}, {3.7820492506786623`*^9, 
  3.782049256721833*^9}, {3.782049295029038*^9, 3.78204930170332*^9}, {
  3.782049430709248*^9, 3.782049432317234*^9}, {3.782049476598062*^9, 
  3.782049476812914*^9}, {3.782049638073543*^9, 3.782049727494296*^9}, {
  3.782049820992257*^9, 3.782049821717671*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"08985dd1-e59d-470c-8f7d-94c0cb9e3376"]
}, Open  ]]
},
WindowSize->{1173, 719},
WindowMargins->{{50, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "StandardReport.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 198, 3, 40, "Author",ExpressionUUID->"ae9e24b1-efd5-4ed3-8aa6-0da82d720f34"],
Cell[CellGroupData[{
Cell[781, 27, 283, 5, 97, "Title",ExpressionUUID->"f7923288-f723-4738-8093-ec17a4e4a04f"],
Cell[1067, 34, 4607, 120, 177, "Text",ExpressionUUID->"78a6f98c-8e5c-4145-9c47-3ca1451170ae"],
Cell[5677, 156, 5043, 129, 384, "Input",ExpressionUUID->"b663f0b0-7d4a-4bfb-bca5-1cbdcea89b5c"],
Cell[10723, 287, 3418, 90, 222, "Input",ExpressionUUID->"8fa6f112-008c-4665-a60f-87fb991297cf"],
Cell[14144, 379, 2312, 56, 126, "Input",ExpressionUUID->"f71ee81b-46f3-498e-876e-d904a7e40f7d"],
Cell[16459, 437, 2561, 57, 173, "Input",ExpressionUUID->"77d5b568-45d2-4890-b479-c2f1edb2d757"],
Cell[19023, 496, 2311, 50, 126, "Input",ExpressionUUID->"08985dd1-e59d-470c-8f7d-94c0cb9e3376"]
}, Open  ]]
}
]
*)

